<?php
// +----------------------------------------------------------------------
// | Leaps PHP Framework
// +----------------------------------------------------------------------
// | Copyright (c) 2010 http://www.newsteng.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: Silence <xutongle@gmail.com>
// +----------------------------------------------------------------------
// $Id: IndexController.php 220 2011-06-14 05:45:34Z xutongle@gmail.com $

/**
 +------------------------------------------------------------------------------
 * IndexController.php Leaps
 +------------------------------------------------------------------------------
 * $Id: IndexController.php 220 2011-06-14 05:45:34Z xutongle@gmail.com $
 +------------------------------------------------------------------------------
 */

class IndexController {
	public $mobile;
	public $db;

	public function __construct() {
		if(!$_GET['mobile'] && !is_int($_GET['mobile'])) return false;
		$this->mobile = intval(substr($_GET['mobile'],0,7));
		$this->db = Core::load_model('mobile_model');//初始化数据库连接
	}

	public function init(){
		$info = $this->db->get_one(array('Mobile'=>$this->mobile));
		if(!$info) {
			$api_data = $this->mobile_api($this->mobile);
			if($api_data){
				$info = array('Mobile'=>$api_data['Mobile'],'Province'=>$api_data['Province'],'City'=>$api_data['City'],'AreaCode'=>$api_data['AreaCode'],'PostCode'=>$api_data['PostCode'],'Operators'=>$api_data['Corp'],'Card'=>$api_data['Card']);
				$this->db->insert($info);
			}
			$info['QueryResult'] = 'API';
		}
		$info['QueryResult'] = 'DB';
		if($_GET['callback']) exit($_GET['callback']).'('.json_encode($info).')';
		exit(json_encode($info));
	}

	static function mobile_api($mobile){
		$http = Core::load_core_class('http');
		$http->get("http://api.showji.com/Locating/default.aspx?m=$mobile&output=json");
		if($http->is_ok()) return get_object_vars(json_decode($http->get_data()));
		else return false;
	}
}

/* End of file IndexController.php */