<?php
// +----------------------------------------------------------------------
// | Leaps PHP Framework
// +----------------------------------------------------------------------
// | Copyright (c) 2010 http://www.newsteng.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: Silence <xutongle@gmail.com>
// +----------------------------------------------------------------------
// $Id$

/**
 +------------------------------------------------------------------------------
 * cache_memcache.class.php Leaps memcache 缓存类
 +------------------------------------------------------------------------------
 * @version  $Id$
 +------------------------------------------------------------------------------
 */

class cache_memcache {
	private $memcache = null;
	public function __construct() {
		$this->memcache = new Memcache;
		$this->memcache->connect(MEMCACHE_HOST, MEMCACHE_PORT, MEMCACHE_TIMEOUT);
	}
	public function memcache() {
		$this->__construct();
	}
	public function get($name) {
		$value = $this->memcache->get($name);
		return $value;
	}
	public function set($name, $value, $ttl = 0, $ext1='', $ext2='') {
		return $this->memcache->set($name, $value, false, $ttl);
	}
	public function delete($name) {
		return $this->memcache->delete($name);
	}
	public function flush() {
		return $this->memcache->flush();
	}
}

/* End of file cache_memcache.class.php */