<?php
// +----------------------------------------------------------------------
// | Leaps PHP Framework
// +----------------------------------------------------------------------
// | Copyright (c) 2010 http://www.newsteng.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: Silence <xutongle@gmail.com>
// +----------------------------------------------------------------------
// $Id: session_files.class.php 96 2011-05-15 09:40:31Z xutongle@gmail.com $

/**
 +------------------------------------------------------------------------------
 * session_files.class.php Leaps Session保存到文件处理类
 +------------------------------------------------------------------------------
 * $Id: session_files.class.php 96 2011-05-15 09:40:31Z xutongle@gmail.com $
 +------------------------------------------------------------------------------
 */

class session_files {
    function __construct() {
		$path = Core::load_config('core', 'session_n') > 0 ? Core::load_config('core', 'session_n').';'.Core::load_config('core', 'session_savepath')  : Core::load_config('core', 'session_savepath');
		ini_set('session.save_handler', 'files');
		session_save_path($path);
		session_start();
    }
}

/* End of file session_files.class.php */