<?php
// +----------------------------------------------------------------------
// | Leaps PHP Framework
// +----------------------------------------------------------------------
// | Copyright (c) 2010 http://www.newsteng.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: Silence <xutongle@gmail.com>
// +----------------------------------------------------------------------
// $Id$

/**
 +------------------------------------------------------------------------------
 * core.php Leaps
 +------------------------------------------------------------------------------
 * $Id$
 +------------------------------------------------------------------------------
 */

return array(
	//网站路径
	'web_path' => '/leaps/',//框架所在路径
	'app_path' => 'http://127.0.0.1/leaps/',//动态域名配置地址
	'js_path' => 'http://127.0.0.1/leaps/static/javascript/',
 	'css_path' => 'http://127.0.0.1/leaps/static/css/',
 	'img_path' => 'http://127.0.0.1/leaps/static/image/',
	'auth_key'=>'leaps',
	'charset'=>'utf-8',//设定页面字符集
	'access_log' =>false,//自动记录访问日志
	'timezone'=>'Etc/GMT-8',
	'errorlog' => true,//1、保存错误日志到 cache/error_log.php | 0、在页面直接显示
	'gzip' => false, //是否Gzip压缩后输出
	'lock_ex' => true,//写入缓存时是否建立文件互斥锁定（如果使用nfs建议关闭）

	//Session配置
	'session_storage' => 'files',
	'session_ttl' => 1800,
	'session_savepath' => CACHE_PATH.'session/',
	'session_n' => 0,

	//模板相关配置
	'tpl_root' => 'view', //模板保存物理路径
	'tpl_name' => 'default', //当前模板方案目录
	'tpl_css' => 'skin', //当前样式目录
	'tpl_referesh' => 1,//修改模版缓存自动更新
	'tpl_suffix' => '.html',//模版后缀名

	//Cookie配置
	'cookie_domain' => '', //Cookie 作用域
	'cookie_path' => '/', //Cookie 作用路径
	'cookie_pre' => 'oWoHw_', //Cookie 前缀，同一域名下安装多套系统时，请修改Cookie前缀
	'cookie_ttl' => 0, //Cookie 生命周期，0 表示随浏览器进程

	//语言设置
	'lang' => 'zh-cn',  //网站默认语言包
	'lang_all'=>'zh-cn',//系统支持的所有语言多种英文逗号隔开,大小写敏感
	'lang_auto' => true,  //语言包自动侦测

	/* 错误设置 */
	'show_error_msg' => true,    // 显示错误信息
    'error_message' => '您浏览的页面暂时发生了错误！请稍后再试～',//错误显示信息,非调试模式有效
    'error_page'    => '',	// 错误定向页面

	/* URL设置 */
	// URL模式： 0 普通模式 1 PATHINFO 2 伪静态模式 3兼容模式
	'url_model' => 1, // 默认为PATHINFO 模式，提供最好的用户体验和SEO支持
	'url_pathinfo_depr' => '/',// PATHINFO模式下，各参数之间的分割符号
	'url_html_suffix'   => '.shtml',  // URL伪静态后缀设置

	/* 系统变量名称设置 */
	'var_application'   => 'app', // 默认应用获取变量
	'var_controller'    => 'controller', // 默认控制器获取变量
	'var_action'        => 'action', // 默认操作获取变量
	'var_language'      => 'l',		// 默认语言切换变量
	'var_pathinfo'      => 's',	// PATHINFO 兼容模式获取变量例如 ?s=/app/action/id/1 后面的参数取决于URL_PATHINFO_MODEL 和 URL_PATHINFO_DEPR

	/* 运行时间设置 */
	'show_page_trace'=> true,
	'show_run_time'=> true,
	'show_adv_time'=> true,
	'show_db_time'=> true,
	'show_cache_time'=> true,
	'show_use_mem'=> true,
	/* 调试设置 */
	'firephp' => true,        // 开启FirePHP调试
);

/* End of file core.php */