<?php
// +----------------------------------------------------------------------
// | Leaps PHP Framework
// +----------------------------------------------------------------------
// | Copyright (c) 2010 http://www.newsteng.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: Silence <xutongle@gmail.com>
// +----------------------------------------------------------------------
// $Id: session_apc.class.php 96 2011-05-15 09:40:31Z xutongle@gmail.com $

/**
 +------------------------------------------------------------------------------
 * session_apc.class.php Leaps
 +------------------------------------------------------------------------------
 * $Id: session_apc.class.php 96 2011-05-15 09:40:31Z xutongle@gmail.com $
 +------------------------------------------------------------------------------
 */

class session_apc {

	function __construct() {
    	session_set_save_handler(array(&$this,'open'), array(&$this,'close'), array(&$this,'read'), array(&$this,'write'), array(&$this,'destroy'), array(&$this,'gc'));
		session_start();
    }

	function open($save_path, $session_name) {
		return true;
	}

	function close() {
		return true;
	}

	function read($id) {
         return apc_fetch($id);
	}

	function write($id, $sess_data) {
		return apc_store($id, $sess_data, SESSION_TTL);
	}

	function destroy($id) {
	    return apc_delete($id);
	}

	function gc($maxlifetime) {
	    return true;
	}
}

/* End of file session_apc.class.php */